Update a cloud volume
PUT/v1/cloud_block_storage/volumes/{volume_id}
If you need to update volume parameters, use a PUT request sent to the /v1/cloud_block_storage/volumes/{volume_id} endpoint. A necessary volume has to be specified in the path parameter. Details for the update are located in the query parameters.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
volume_id | stringA unique identifier of a volume. |
Request Body
| Field | Details |
|---|---|
name? | stringA name of a volume. |
description? | stringHuman-readable description of a volume. |
image_id? | stringA unique identifier of an image. |
snapshot_id? | stringA unique identifier of snapshot. |
labels? | objectSpecify labels you want to attach to the resource. Refer to the Labels section for more details. |
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/cloud_block_storage/volumes/pmbk5ezJ" \ -H "Content-Type: application/json" \ -d '{ "name": "vol1_renamed", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team", "maintainer": "John" } }'{ "id": "pmbk5ezJ", "openstack_uuid": "1facc5db-d7ad-423a-92dc-f594d4018cde", "region_id": 0, "region_code": "NL01", "name": "vol1_renamed", "size": 1, "status": "creating", "created_at": "2021-01-13T01:59:09Z", "bootable": false, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team", "maintainer": "John" }, "attachments": [], "description": "vol1"}